classification
Title: pathlib.Path: add `follow_symlinks` argument to `stat()` and `chmod()`
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: barneygale, miss-islington, pitrou, steve.dower
Priority: normal Keywords: patch

Created on 2020-03-08 20:35 by barneygale, last changed 2021-05-13 12:35 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 18864 merged barneygale, 2020-03-09 00:05
PR 26087 closed barneygale, 2021-05-13 01:14
PR 26089 merged barneygale, 2021-05-13 01:25
PR 26100 merged miss-islington, 2021-05-13 12:17
Messages (3)
msg363681 - (view) Author: Barney Gale (barneygale) * Date: 2020-03-08 20:35
As of Python 3.3, `os.lstat()` and `os.lchmod()` are available as `os.stat(follow_symlinks=False)` and `os.chmod(follow_symlinks=False)`, but an equivalent change didn't make it into pathlib. I propose we add the  `follow_symlinks` argument to `Path.stat()` and `Path.chmod()` for consistency with `os` and because the new notation is arguable clearer for people who don't know many system calls off by heart :)
msg390439 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-04-07 15:53
New changeset abf964942f97f6489360a75fd57b5e4f41c75f57 by Barney Gale in branch 'master':
bpo-39906: Add follow_symlinks parameter to pathlib.Path.stat() and chmod() (GH-18864)
https://github.com/python/cpython/commit/abf964942f97f6489360a75fd57b5e4f41c75f57
msg393575 - (view) Author: miss-islington (miss-islington) Date: 2021-05-13 12:35
New changeset 2d972b8e7cb5347ddf83dfcee461f550b59f0736 by Miss Islington (bot) in branch '3.10':
bpo-39906: Document new follow_symlinks argument to pathlib.Path.stat() and chmod() in 3.10 whatsnew. (GH-26089)
https://github.com/python/cpython/commit/2d972b8e7cb5347ddf83dfcee461f550b59f0736
History
Date User Action Args
2021-05-13 12:35:11miss-islingtonsetmessages: + msg393575
2021-05-13 12:17:12miss-islingtonsetnosy: + miss-islington

pull_requests: + pull_request24741
2021-05-13 01:25:29barneygalesetpull_requests: + pull_request24728
2021-05-13 01:14:26barneygalesetpull_requests: + pull_request24726
2021-04-07 15:53:57steve.dowersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-04-07 15:53:46steve.dowersetnosy: + steve.dower
messages: + msg390439
2020-03-09 12:05:48xtreaksetnosy: + pitrou
2020-03-09 00:05:01barneygalesetkeywords: + patch
stage: patch review
pull_requests: + pull_request18221
2020-03-08 20:35:19barneygalecreate